EndpointsDoctor Profiles

Doctor Profiles

Function-calling namespace: doctorProfiles

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

delete

Source: backend/endpoints/doctor-profiles/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/doctor-profiles/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getByUserId

Source: backend/endpoints/doctor-profiles/get-by-user-id

Input Fields

FieldTypeRequiredConstraints
userIdstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "getByUserId",
  "data": {
    "userId": "user_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getByUserIdForPatient

Source: backend/endpoints/doctor-profiles/get-by-user-id-for-patient

Input Fields

FieldTypeRequiredConstraints
userIdstringYes-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "getByUserIdForPatient",
  "data": {
    "userId": "user_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getCompleteById

Source: backend/endpoints/doctor-profiles/get-complete-by-id

Input Fields

FieldTypeRequiredConstraints
doctorProfileIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "getCompleteById",
  "data": {
    "doctorProfileId": "doctorprofile_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getSummaryByUserId

Source: backend/endpoints/doctor-profiles/get-summary-by-user-id

Input Fields

FieldTypeRequiredConstraints
userIdstringYes-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "getSummaryByUserId",
  "data": {
    "userId": "user_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/doctor-profiles/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
searchQuerystringNonullable
departmentIdstringNonullable
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByPlatformDepartment

Source: backend/endpoints/doctor-profiles/list-by-platform-department

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
platformDepartmentIdstringNo-
searchstringNonullable
includeTherapistsbooleanNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "listByPlatformDepartment",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listWithStatusByOrganization

Source: backend/endpoints/doctor-profiles/list-with-status-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
searchstringNo-
statusstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "listWithStatusByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/doctor-profiles/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
namestringNonullable
emailstringNonullable
userIdstringNonullable
departmentIdstringNonullable
experienceintegerNonullable
experiencesarray<object>Nonullable
biostringNonullable
languagesarray<string>Nonullable
conditionsarray<string>Nonullable
genderstringNonullable
registrationNumberstringNonullable
doctorSignaturestringNonullable
isAvailableForOnlinebooleanNonullable
weeklySchedulearray<object>Nonullable
slotDurationintegerNonullable
profileImageIdstringNonullable
profileImageUrlstringNonullable
educationarray<object>Nonullable
awardsarray<string>Nonullable
phonestringNonullable
addressstringNonullable
isVerifiedbooleanNonullable
verifiedAtintegerNounix-ms timestamp; nullable
documentsarray<object>Nonullable

Nested Field Structures

experiences item

FieldTypeRequiredConstraints
idstringNo-
designationstringNo-
hospitalNamestringNo-
startYearstringNo-
endYearstringNo-
isCurrentbooleanNo-
experienceLabelstringNo-
createdAtintegerNounix-ms timestamp
updatedAtintegerNounix-ms timestamp

weeklySchedule item

FieldTypeRequiredConstraints
daystringNo-
startTimestringNoformat: HH:mm
endTimestringNoformat: HH:mm
isActivebooleanNo-
slotDurationintegerNonullable
breakEnabledbooleanNonullable
breakIntervalintegerNonullable
breakDurationintegerNonullable

education item

FieldTypeRequiredConstraints
idstringNo-
degreestringNo-
institutestringNo-
startYearstringNo-
endYearstringNo-
yearstringNo-
educationStatusstringNo-
educationLabelstringNo-
createdAtintegerNounix-ms timestamp
updatedAtintegerNounix-ms timestamp

documents item

FieldTypeRequiredConstraints
typestringNo-
namestringNo-
urlstringNo-
uploadedAtintegerNounix-ms timestamp

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

updateByUserId

Source: backend/endpoints/doctor-profiles/update-by-user-id

Input Fields

FieldTypeRequiredConstraints
userIdstringYes-
organizationIdstringYes-
namestringNonullable
emailstringNonullable
userIdUpdatestringNoformat: YYYY-MM-DD; nullable
departmentIdstringNonullable
experienceintegerNonullable
experiencesarray<object>Nonullable
biostringNonullable
languagesarray<string>Nonullable
conditionsarray<string>Nonullable
genderstringNonullable
registrationNumberstringNonullable
doctorSignaturestringNonullable
isAvailableForOnlinebooleanNonullable
weeklySchedulearray<object>Nonullable
slotDurationintegerNonullable
profileImageIdstringNonullable
profileImageUrlstringNonullable
educationarray<object>Nonullable
awardsarray<string>Nonullable
phonestringNonullable
addressstringNonullable
isVerifiedbooleanNonullable
verifiedAtintegerNounix-ms timestamp; nullable
documentsarray<object>Nonullable

Nested Field Structures

experiences item

FieldTypeRequiredConstraints
idstringNo-
designationstringNo-
hospitalNamestringNo-
startYearstringNo-
endYearstringNo-
isCurrentbooleanNo-
experienceLabelstringNo-
createdAtintegerNounix-ms timestamp
updatedAtintegerNounix-ms timestamp

weeklySchedule item

FieldTypeRequiredConstraints
daystringNo-
startTimestringNoformat: HH:mm
endTimestringNoformat: HH:mm
isActivebooleanNo-
slotDurationintegerNonullable
breakEnabledbooleanNonullable
breakIntervalintegerNonullable
breakDurationintegerNonullable

education item

FieldTypeRequiredConstraints
idstringNo-
degreestringNo-
institutestringNo-
startYearstringNo-
endYearstringNo-
yearstringNo-
educationStatusstringNo-
educationLabelstringNo-
createdAtintegerNounix-ms timestamp
updatedAtintegerNounix-ms timestamp

documents item

FieldTypeRequiredConstraints
typestringNo-
namestringNo-
urlstringNo-
uploadedAtintegerNounix-ms timestamp

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "doctorProfiles",
  "apiName": "updateByUserId",
  "data": {
    "userId": "user_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }